Quassel IRC - Bug #1045

Quasselcore crashes after trying to send a message in a query where a blowfish key has been set

01/31/2011 01:19 PM - brot

Status: Resolved Start date: 01/31/2011
Assignee: johu % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.7-pre 0S: Any
Description

The Quasselcore crashes when one tries to send a message to a query where a blowfish encryption key has been set with "/setkey

mumu" (or any other key)

This behaviour is always reproducable. Even after i recompiled QCA and the Quasselcore with the same Qt version, the problem

persists.

1. open a query window with someone
2. /setkey secretkey

3. write something

4. core crashes

Associated revisions

Revision 393ac8b4bca9db98f297cb4756ef2e79364bf6f0 - 03/17/2011 02:19 PM - johu

check for qca provider plugin, fixes #1045

Prevents core from crashing when gca provider plugin is missing.
The plugin is needed at runtime. Can occurres when packagers did
not install it.

Revision 393ac8b4 - 03/17/2011 02:19 PM - johu
check for qca provider plugin, fixes #1045
Prevents core from crashing when qca provider plugin is missing.

The plugin is needed at runtime. Can occurres when packagers did
not install it.

Revision 90fba615fc90c23d92faa6d874dd0b3fcf80a425 - 01/21/2012 08:42 PM - johu

check for qca provider plugin, fixes #1045

Prevents core from crashing when qca provider plugin is missing.
The plugin is needed at runtime. Can occurres when packagers did
not install it.

Revision 90fba615 - 01/21/2012 08:42 PM - johu
check for qca provider plugin, fixes #1045
Prevents core from crashing when gca provider plugin is missing.

The plugin is needed at runtime. Can occurres when packagers did
not install it.

History

#1 - 01/31/2011 09:27 PM - johu

- Status changed from New to Resolved

Cause is missing qca-ossl gt plugin on system. Needed for working blowfish encryption. See http:/delta.affinix.com/qca/

#2 - 03/17/2011 02:19 PM - johu

- Target version set to 0.7.2
http://delta.affinix.com/qca/

#3 - 03/22/2011 06:10 PM - johu

It can only occure if packagers did not install gca-ossl. | added a small fix to prevent this bug see

http://gitorious.org/quassel/quassel/merge_requests/122.

#4 - 03/24/2011 04:20 PM - johu
- Target version changed from 0.7.2 to 0.8.0

#5 - 03/25/2011 12:41 PM - johu
- Target version changed from 0.8.0 to 0.7.3

#6 - 09/08/2011 10:58 PM - johu
- Target version changed from 0.7.3 to 0.7.4

Files

quasselcore_blowfishcrash_backtrace 4.91 KB 01/31/2011 brot

quasselcore_blowfishcrash_backtrace2 4.99 KB 01/31/2011 brot
